=== debian/changelog ===
jsxgraph (1.7.0+dfsg2-1) unstable; urgency=medium

  * modified the patch for Makefile, to replace a tricky awk command
    by a simpler sed expression.
  * clean some more generated files by d/rules
  * added d/salsa-ci.yml
  * made a debian patch to insert jessiecode.js into the source tree

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Feb 2024 15:58:10 +0100

jsxgraph (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.7.0+dfsg1
  * refreshed debian patches
  * replaced the dependency on jsdoc-toolkit by a dependency on node-jsdoc2

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2024 15:59:37 +0100

jsxgraph (1.6.2+dfsg1-2) unstable; urgency=medium

  * improved d/ruels to clean generated files. Closes: #1048866

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 18:45:55 +0100

jsxgraph (1.6.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.6.2+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Oct 2023 09:16:22 +0200
