=== debian/control ===
Source: jsxgraph
Section: devel
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 node-jsdoc2,
 yui-compressor,
 node-almond,
 node-requirejs,
 node-path-browserify,
 terser,
 zip,
 webpack,
 eslint,
 python3,
 dh-python,
 apache2-dev
Standards-Version: 4.6.2
Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph
Vcs-Git: https://salsa.debian.org/georgesk/jsxgraph.git

Package: jsxgraph
Architecture: all
Pre-Depends: python3
Depends: ${misc:Depends}, ${python3:Depends}, libjs-prototype, libjs-jquery,
 jsxcompressor
Suggests: jsxgraph-examples
Description: Interactive Geometry with JavaScript
 JSXGraph is a cross-browser library to display interactive geometry in a
 web browser. It is implemented in JavaScript and uses SVG and VML.
 At the moment the following browsers are supported: Mozilla Firefox,
 Opera, Safari, Google Chrome, Microsoft Internet Explorer.
 .
 There are still some issues with JSXGraph in the Internet Explorer, so
 using Firefox, Opera, Safari or Chrome is recommended.
 .
 JSXGraph is easy to embed and has a small footprint: only 50 kB if
 embedded in a web page. No plugins are required!

Package: jsxcompressor
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Pure Javascript implementation of deflate, unzip, base64_decode
 This package is intended to provide  a pure JavaScript implementation of
 DEFLATE, unzip and base64_decode for JSXGraph. This can be used for
 delivering compressed JavaScript inside of an HTML file.
 .
 JSXGraph is a cross-browser library to display interactive geometry in a
  web browser.
