=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with apache2 --with python3

DESTDIR = debian/jsxgraph

override_dh_auto_clean:
	for f in  distrib/jsxgraphcore.mjs \
	   distrib/jsxgraphcore.mjs.map \
	   distrib/jsxgraphsrc.js \
	   distrib/jsxgraphsrc.mjs \
	   distrib/jsxgraphsrc.mjs.map; do \
		rm -f $$f; \
	done
	rm -f distrib/geogebra.min.js \
	      distrib/geonext.min.js \
	      distrib/intergeo.min.js \
	      distrib/sketch.min.js
	dh_auto_clean


DISTRIB_DIR = $(DESTDIR)/usr/share/javascript/jsxgraph/distrib
override_dh_install:
	dh_install
	install -d $(DESTDIR)/etc/apache2/conf-available
	install -m 644 apache.conf $(DESTDIR)/etc/apache2/conf-available/jsxgraph.conf
	# remove wrong exec flags
	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
	# replace embedded jquery.min.js
	rm -f $(DISTRIB_DIR)/docs/static/jquery.min.js
	ln -sf /usr/share/javascript/jquery/jquery.min.js \
	  $(DISTRIB_DIR)/docs/static/
	# remove privacy breaches using google styles from generated files
	for f in $$(find $(DISTRIB_DIR)/docs -name "*.htm*"); do \
	  sed -i 's/.*google.*//' $$f; \
	done
