## jsxgraph 1.9.2+dfsg1

=== Makefile ===
--- 
+++ 
@@ -48,8 +48,10 @@
 # List of all included JavaScript files - required for docs, linters, and to build the readers
 # Double quotes:
 # FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/"\.(.+)"/,m)) print "src"m[1]".js" }')
-# Single quotes:
-FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')
+# Single quotes: before endings .js have been added:
+# FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1]".js" }')
+# Single quotes: after endings .js have been added:
+FILELIST=$(shell cat src/index.js | awk '/import/ {if (match($$0,/\x27\.(.+)\x27/,m)) print "src"m[1] }')
 
 # Lintlist - jessiecode.js is developed externally (github:jsxgraph/jessiecode) and won't be linted in here
 LINTLIST=$(shell echo $(FILELIST) | sed 's/src\/parser\/jessiecode\.js//')
@@ -167,5 +169,6 @@
 eslint:
 	$(ESLINT) $(ESLINTFLAGS) $(LINTLIST)
 
+# test:
 test: core
 	$(KARMA) start karma/karma.conf.js
