=== debian/changelog ===
jsxgraph (1.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.9.2+dfsg1
  * Refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Jul 2024 18:08:31 +0200

jsxgraph (1.9.1+dfsg1-3) unstable; urgency=medium

  * fixed debian/patches/40Makefile.patch: awk works no longer as expected
    in debian/unstable, replace it by sed to parse the file src/index.js

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Jun 2024 17:02:40 +0200

jsxgraph (1.9.1+dfsg1-2) unstable; urgency=medium

  * fixed debian/patches/40Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:46:25 +0200

jsxgraph (1.9.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.9.1+dfsg1
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:20:23 +0200

jsxgraph (1.8.0+dfsg1-1) unstable; urgency=medium

  * removed generated files
  * trying to make a reproducible build
  * fixed a missing dash in tar command
  * do not install the same archive twice
  * ensure the existence of $(DISTRIB_DIR)/docs/static/
  * New upstream version 1.8.0+dfsg1
  * removed  JSXCompressor/*min.js from excluded patterns in d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Mar 2024 08:02:06 +0100
