=== debian/changelog ===
jsxgraph (1.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.10.1+dfsg1, with no CGI routine distributed;
    Closes: #1084694
  * refreshed debian patches
  * added the upstream path src/unused to Files-Excluded list in d/copyright
  * new build dependency: gawk

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2024 13:35:09 +0200

jsxgraph (1.10.0+dfsg1-1) UNRELEASED; urgency=medium

  * New upstream version 1.10.0+dfsg1
  * updated debian patch 40-Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 Oct 2024 15:08:08 +0200
