## jsxgraph 1.11.1%2Bdfsg1

=== debian/changelog ===
jsxgraph (1.11.1+dfsg1-1) unstable; urgency=medium

  * applied a recipe from
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip
  * New upstream version 1.11.1+dfsg1
  * Updated debian patch 40Makefile.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:54:53 +0200

jsxgraph (1.10.1+dfsg1-2) unstable; urgency=medium

  * force the timestamps for files copied to $(TMP) before zipping them
    (recipe: https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2024 15:06:30 +0200
