## jsxgraph 1.11.1+dfsg1

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  eslint,
  python3,
  dh-python,
- apache2-dev
+ apache2-dev,
+ gawk,
 Standards-Version: 4.6.2
 Homepage: http://jsxgraph.uni-bayreuth.de/cms/index.php
 Vcs-Browser: https://salsa.debian.org/georgesk/jsxgraph
