## jsxgraph 1.12.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -62,7 +62,8 @@
 
 PRETTIERFLAGS=-w --print-width 96 --tab-width 4 --trailing-comma none
 
-READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js tmpreaders/sketch.min.js
+READERSOUT=tmpreaders/geonext.min.js tmpreaders/geogebra.min.js tmpreaders/intergeo.min.js
+# tmpreaders/sketch.min.js
 
 # Rules
 all: core readers docs
@@ -111,7 +112,9 @@
 	cat COPYRIGHT $(BETA)/jsxgraphcore.js >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.js
 	cat COPYRIGHT $(BETA)/jsxgraphcore.mjs >$(BETA)/tmp.file; mv $(BETA)/tmp.file $(BETA)/jsxgraphcore.mjs
 
-docs: core
+docs: core docsonly
+
+docsonly: 
 	# Set up tmp dir
 	$(MKDIR) $(MKDIRFLAGS) $(TMP)
 	$(MKDIR) $(MKDIRFLAGS) $(OUTPUT)
