=== debian/changelog ===
jsxgraph (1.12.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.12.0+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Oct 2025 10:17:22 +0200
