=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	find $(DESTDIR)/usr/share/jsxgraph/examples/bspnc/ -type f -name "*.gxt" -exec chmod -x "{}" \;
 	# replace embedded jquery.min.js
 	rm -f $(DISTRIB_DIR)/docs/static/jquery.min.js
+	mkdir -p $(DISTRIB_DIR)/docs/static
 	ln -sf /usr/share/javascript/jquery/jquery.min.js \
 	  $(DISTRIB_DIR)/docs/static/
 	# remove privacy breaches using google styles from generated files
