=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jsxgraph-$1.tar.gz%, dversionmangle=s/\+dfsg\d?//, repack, repacksuffix=+dfsg1, compression=gz" \
  https://github.com/jsxgraph/jsxgraph/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
  debian uupdate
