=== debian/changelog ===
jsxgraph (1.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.12.2+dfsg1
  * refreshed one debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Nov 2025 10:03:34 +0100
